www.adminn.cn
站长正能量分享网!

PHP中函数gzuncompress无法使用的解决方法

AD:阿里云服务器企业会员更优惠 腾讯云香港,韩国免备案服务器1.8折优惠

gzuncompress函数不是php自带的系统函数而是一个插件函数了所以要使用 gzuncompress函数我们必须安装一个插件,下面来看看PHP函数gzuncompress无法使用的问题解决办法吧。

一、解决过程

1.gzuncompress函数需要zlib支持才可以正常使用

2.可以使用探针检查当前php版本中是否已经开启了该函数

3.解决方式,额外编译php,安装zlib组件

二、解决步骤

1.开发环境为centos6.5 bit php5.3

2.参考代码(不可以直接拿去用,请思考下在执行以下代码)

  1. [root@leafrainy zlib]# pwd 
  2. /root/dl/php/ext/zlib 
  3. [root@leafrainy zlib]#mv config0.m4 config.m4 
  4. [root@leafrainy zlib]#/usr/local/php/bin/phpize 
  5. [root@leafrainy zlib]#./configure –with-php-config=/usr/local/php/bin/php-config 
  6. [root@leafrainy zlib]#make 
  7. [root@leafrainy zlib]# cp modules/zlib.so /usr/local/php/lib/php/extension/ 
  8. [root@leafrainy zlib]#vi /usr/local/php/lib/php.ini 

添加extension=zlib.so

重启apache

模板优惠价: (点击购买)
版权声明:本文采用知识共享 署名4.0国际许可协议 [BY-NC-SA] 进行授权
文章名称:《PHP中函数gzuncompress无法使用的解决方法》
文章链接:https://www.adminn.cn/news/6657.html
本站资源模板仅供个人学习交流,请于下载后24小时内删除,不允许用于商业用途,否则法律问题自行承担。2021.5月起,网站调整,暂不再分享免费模板。谢谢理解

Adminn.Cn 站长分享圈

帝国CMS精品模板腾讯云优惠券,代金券

本站源码仅供本地环境下学习借鉴研究使用!

源码请勿用于任何涉灰站点!净化网络,站长更有责!

支付宝扫一扫打赏